## org.eclipse.datatools.sqltools.core
Class DataTypeValidator

    java.lang.Object
      org.eclipse.datatools.sqltools.core.DataTypeValidator

public class DataTypeValidator
extends java.lang.Object

Validate given data type in given context

Author:
  Dafan Yang

Constructor Summary
`DataTypeValidator()`

Method Summary
`java.lang.String` `isValidDataType(DataType dataType, Schema schema, int context, DatabaseIdentifier databaseIdentifier)` Return null if valid Return error message otherwise
`java.lang.String` `isValidDataTypeString(java.lang.String typeString, Schema schema, int context, DatabaseIdentifier databaseIdentifier)` Return null if valid Return error message otherwise

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataTypeValidator

    public DataTypeValidator()

Method Detail

### isValidDataTypeString

    public java.lang.String isValidDataTypeString(java.lang.String typeString,
                                                  Schema schema,
                                                  int context,
                                                  DatabaseIdentifier databaseIdentifier)

  Return null if valid Return error message otherwise

  Parameters:
    `typeString` -
    `schema` -
    `context` -

### isValidDataType

    public java.lang.String isValidDataType(DataType dataType,
                                            Schema schema,
                                            int context,
                                            DatabaseIdentifier databaseIdentifier)

  Return null if valid Return error message otherwise

  Parameters:
    `dataType` -
    `schema` -
    `context` -
  Returns:

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.